Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.util
Interface ValueUpdater

All Known Implementing Classes:
  AbstractUpdater, CompositeUpdater, PofUpdater, ReflectionUpdater

      public interface ValueUpdater

ValueUpdater is used to update an object's state.

Since:
  Coherence 3.1
Author:
  jh/gg 2005.10.25

Method Summary
`void` | `update(java.lang.Object oTarget, java.lang.Object oValue)` Update the state of the passed target object using the passed value.

Method Detail

### update

    void update(java.lang.Object oTarget,
                java.lang.Object oValue)

  Update the state of the passed target object using the passed value. For intrinsic types, the specified value is expected to be a standard wrapper type in the same manner that reflection works; for example, an `int` value would be passed as a `java.lang.Integer`.
  Parameters:
    `oTarget` - the Object to update the state of
    `oValue` - the new value to update the state with
  Throws:
    `java.lang.ClassCastException` - if this ValueUpdater is incompatible with the passed target object or the value and the implementation requires the passed object or the value to be of a certain type
    `WrapperException` - if this ValueUpdater encounters a checked exception in the course of updating the target object
    `java.lang.IllegalArgumentException` - if this ValueUpdater cannot handle the passed target object or value for any other reason; an implementor should include a descriptive message

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.